<?php


namespace AutoAdmin\Bundle\BrickBuilder\Model\Api;


class BrickCreate
{
    protected mixed $parentBrickId;
    protected mixed $brickType;
    protected mixed $layout;

    public function getParentBrickId(): mixed
    {
        return $this->parentBrickId;
    }

    public function setParentBrickId($parentBrickId): void
    {
        $this->parentBrickId = $parentBrickId;
    }

    public function getBrickType(): mixed
    {
        return $this->brickType;
    }

    public function setBrickType(mixed $brickType): void
    {
        $this->brickType = $brickType;
    }

    /**
     * @return mixed
     */
    public function getLayout()
    {
        return $this->layout;
    }

    /**
     * @param mixed $layout
     */
    public function setLayout($layout): void
    {
        $this->layout = $layout;
    }
}
